{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>My Notes</title>
    <link rel="stylesheet" href='{% static "/css/index_style.css" %}'>
  </head>
  <body>
    <header>
      <div class="jumbotron">
          <h1>my_notes</h1>
          <p>python manage.py runserver</p>
      </div>
      <nav>
          <ul>
              <li><a href="/lab-4/add">add_new_note()</a></li>
              <li><a href="/lab-4">table_view()</a></li>
          </ul>
      </nav>
    </header>
    <main>
      <div id="content">   
          {% if notes %}
            <div class="flex-container-column">
                {% for note in notes %}
                    {% if forloop.counter0|divisibleby:"3" %}
                        <div class="flex-container-row">
                    {% endif %}
                    <div class="card notes">
                        <p>From <b>{{note.msg_to}}</b></p>
                        <p>to <b>{{note.msg_from}}</b></p>
                        <p>with title <b>{{note.title}}</b></p>
                        <p>---------------------------</p>
                        <p>{{note.message}}</p>
                    </div>
                    {% if forloop.last or forloop.counter|divisibleby:"3" %}
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
          {% endif %}
      </div>
    </main>
    <footer>
      <p>Made with love by Nito in deadlines at a breezy night. With a little help from my friends.</p>
    </footer>
  </body>
</html>
